Bug 1267222 - ovirt-live 3.6.0 rc1 fails automated setup
ovirt-live 3.6.0 rc1 fails automated setup
Status: CLOSED CURRENTRELEASE
Product: ovirt-live
Classification: oVirt
Component: General (Show other bugs)
3.6.0
Unspecified Unspecified
urgent Severity urgent (vote)
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Sandro Bonazzola
Karolína Hajná
integration
: Regression
Depends On:
Blocks: 1252408
  Show dependency treegraph
 
Reported: 2015-09-29 07:39 EDT by Sandro Bonazzola
Modified: 2016-05-19 21:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 08:34:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
rule-engine: blocker+
bmcclain: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
setup logs (325.50 KB, text/plain)
2015-09-29 07:39 EDT, Sandro Bonazzola
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46521 None None None Never
oVirt gerrit 46790 master MERGED ovirt-3.6.0_rc1: update otopi Never
oVirt gerrit 46792 master MERGED fix vmconsoleProxyConfig key Never
oVirt gerrit 46793 ovirt-live-3.6 MERGED fix vmconsoleProxyConfig key Never

  None (edit)
Description Sandro Bonazzola 2015-09-29 07:39:57 EDT
Created attachment 1078303 [details]
setup logs

Automated setup is now asking for:

Configure VM Console Proxy on this host (Yes, No) [Yes]:

Missing the following key in the answer file:


OVESETUP_VMCONSOLE_PROXY_CONFIG/vmconsoleProxyConfig=bool:True

and then fails with:

2015-09-29 13:30:43 DEBUG otopi.context context._executeMethod:142 Stage packages METHOD otopi.plugins.**FILTERED**_engine_setup.vmconsole_proxy_helper.system.Plugin._packages
2015-09-29 13:30:43 DEBUG otopi.context context._executeMethod:156 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 146, in _executeMethod
    method['method']()
  File "/usr/share/**FILTERED**-engine/setup/bin/../plugins/**FILTERED**-engine-setup/vmconsole_proxy_helper/system.py", line 73, in _packages
    packages=(ovmpcons.Const.OVIRT_VMCONSOLE_PROXY_PACKAGE,)
  File "/usr/lib/python2.7/site-packages/otopi/packager.py", line 139, in installUpdate
    raise NotImplementedError(_('Packager update not implemented'))
NotImplementedError: Packager update not implemented
Comment 2 Sandro Bonazzola 2015-11-04 08:34:48 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.